const strategies = require('./strategiesBase');

/**
 * 增值税的环境类
 * 
 * 将注册的说有增值税算法实现都通过环境类调用
 * @param{*} businessmenType 销售方类型
 * @param{*} params          算法的参数
 */
class ContextValueAddedTax{
  constructor (){
    console.log("初始化 增资税环境类 ContextValueAddedTax");
  }

  async doAction (businessmenType,params){
    return await strategies[businessmenType]['calcInvoice'](params);
  }
}
module.exports=ContextValueAddedTax